package de.uni_stuttgart.fmi.szs.jmoped.coverage;

import de.uni_stuttgart.fmi.szs.jmoped.PDS;
import de.uni_stuttgart.fmi.szs.jmoped.coverage.CoverageMethod.State;

public interface CoverageListener 
{
	void coverageStarted(PDS pds);
	
	void coveredMethodOffset(CoverageMethod method, int lineOffset, 
							 State state);
	
	void assertErrorReachedFrom(CoverageMethod method, int lineOffset);
	
	void assertErrorReachedFrom(CoverageMethod method, int lineOffset, 
								Transition transition);
	
	void coverageEnded(CoverageResult result);
	
	void coverageFailed(String message, Throwable t);
	
	void labelReached(String label);
	
	void heapOverflow(CoverageMethod method, int lineOffset);
}
