package de.uni_stuttgart.fmi.szs.jmoped.coverage;

import de.uni_stuttgart.fmi.szs.jmoped.PDS;


/**
 * Peer class that manages handles to native data structures.
 * <p>
 * Do not keep references to this class around unless you need them.
 */
public class CoverageResult 
{

	private final int pds;
	
	private final int result;
	
	private PDS jPds;
	
	private CoverageMethod[] methods = new CoverageMethod[0];
	
	CoverageResult(int pds, int result)
	{
		this.pds = pds;
		this.result = result;
	}
	
	void setMethods(CoverageMethod[] methods)
	{
		this.methods = methods; 
	}
	
	public CoverageMethod[] getMethods()
	{
		return methods;
	}
	
	void setPDS(PDS pds)
	{
		this.jPds = pds;
	}
	
	public PDS getPDS()
	{
		return jPds; 
	}
}
