package de.uni_stuttgart.fmi.szs.jmoped.coverage;

public class IntVariable
{
	
	private final String name;

	private final int type;
	
	private final int dimension;
	
	private final int value;
	
	private final int[] arrayValue;
	
	public enum Type {
		BOOLEAN,
		INTEGER,
		ARRAY,
	}
	
	IntVariable(String name, int type, int dimension, int value)
	{
		this.name = name;
		this.type = type;
		this.dimension = dimension;
		this.value = value;
		this.arrayValue = new int[0];
	}
	
	IntVariable(String name, int type, int dimension, int[] arrayValue)
	{
		this.name = name;
		this.type = type;
		this.dimension = dimension;
		this.value = 0;
		this.arrayValue = arrayValue;
	}
	
	public String getName()
	{
		return name;
	}
	
	public boolean booleanValue()
	{
		return value != 0;
	}
	
	public int intValue()
	{
		return value;
	}
	
	public int[] arrayValue()
	{
		return arrayValue;
	}
	
	public int getIntegerBits()
	{
		return type;
	}
	
	public Type getType() 
	{
		if (type == 0) {
			return Type.BOOLEAN;
		}
		else if (dimension == 0) {
			return Type.INTEGER;
		}
		else {
			return Type.ARRAY;
		}
	}
}
