package de.uni_stuttgart.fmi.szs.jmoped.coverage;

/**
 * Implements null pattern for ProgressMonitor interface
 * <p>
 * Its methods do nothing.
 */
public class NullProgressMonitor implements ProgressMonitor 
{

	public void beginTask(String description, int workAmount) 
	{
	}

	public void done() 
	{
	}

	/**
	 * Always returns false.
	 */
	public boolean isCanceled() 
	{
		return false;
	}

	public void setCanceled(boolean cancel) 
	{
	}

	public void worked(int amount) 
	{
	}

	public void subTask(String description) 
	{
	}

}
